flow-split(1)

NAME
flow-split — Split flow files into smaller files.

SYNOPSIS

flow-split [-gGhn] [-b big|little] [-C comment] [-d debug_level] [-N nflows] [-o outfile_basename] [-T nseconds] [-z z_level]

DESCRIPTION

The flow-split utility will split a flow file into smaller files based on the the number of flows or the ammount of time that has passed.

OPTIONS

-b big|little
    Byte order of output.

-C Comment
    Add a comment.

-d debug_level
    Enable debugging.

-g  Split on source tag.

-G  Split on destination tag.

-h  Display help.

-n  Use symbols for tag field in filename.

-N nflows
    Split after processing nflows.

-o outfile_basename
    The basename of the resulting files.

-T nsecond
    Split after processing an interval of nseconds flows.

-z z_level
    Configure compression level to z_level. 0 is disabled (no compression), 9 is highest compression.

EXAMPLES

Create 1 minute flow files from the flow archive in /flows/krc4. Store the results in /flows/krc4.split

flow-cat /flows/krc4 | flow-split -T60 -o /flows/krc4.split/1min.

BUGS

None known.

AUTHOR

Mark Fullmer maf@splintered.net

SEE ALSO

flow-tools(1)